
Redmine - Defect #20277

"Couldn't find template for digesting" error in the log when sending a thumbnail or an attachment

2015-07-09 11:37 - Olivier Houdas

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.4.13   

Resolution: Fixed Affected version: 3.0.3

Description

1. Activate thumbnails in the Redmine configuration (Checkbox in the Display tabof Adminstration\Settings)

2. Display an issue which has attached images

3. Check the log of Redmine   

ERROR -- :   Couldn't find template for digesting: attachments/thumbnail

ERROR -- :   Couldn't find template for digesting: attachments/download

Tested without any plugin, on Redmine 3.0.3 (Rails 4.2), on Linux CentOS.

The messages are triggered in calls to stale?() in app/controllers/attachments_controller.rb in methods download and thumbnail, and

consequently do not break anything in the application, it just never uses the cache.

Associated revisions

Revision 19365 - 2019-12-12 15:32 - Go MAEDA

Fix "Couldn't find template for digesting" error in the log when sending an attachment or thumbnail (#20277).

Patch by Olivier Houdas.

Revision 19366 - 2019-12-12 15:52 - Go MAEDA

Merged r19365 from trunk to 4.1-stable (#20277).

Revision 19367 - 2019-12-12 15:56 - Go MAEDA

Merged r19365 from trunk to 4.0-stable (#20277).

Revision 19368 - 2019-12-12 15:56 - Go MAEDA

Merged r19365 from trunk to 3.4-stable (#20277).

History

#1 - 2015-08-21 11:14 - Jonathan Tee

same with Redmine 3.1

Ruby 2.2.1, Rails 4.2, fcgid

#2 - 2016-09-21 11:49 - Pavel Potcheptsov

Same even if checkbox for thumbnails isn't set.

  Couldn't find template for digesting: attachments/download

  Couldn't find template for digesting: attachments/download

Environment:

  Redmine version                3.3.0.stable.15842

  Ruby version                   1.9.3-p327 (2012-11-10) [i686-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2
#3 - 2016-09-26 11:38 - Karel Pičman

I'm facing the same problem. Any ideas?

#4 - 2016-12-02 18:34 - Thomas Löber

You could set AttachmentsController.etag_with_template_digest = false.

#5 - 2016-12-05 10:21 - Olivier Houdas

- File redmine#20277.patch added

Thank you for the hint to the Rails part involved.

Then, maybe simply adding the :template => false to the two stale?() calls would be the most appropriate.

Note: the attached patch is based on the code of Redmine 3.3.1

#6 - 2016-12-05 12:26 - Karel Pičman

The patch works well. Thank you. Hopefully it will be applied to the Redmine's source code too.

#7 - 2016-12-06 10:37 - Pavel Potcheptsov

Thanks.

#8 - 2019-12-11 04:40 - Go MAEDA

- Status changed from New to Resolved

The error still can be seen in the latest trunk (4.0.5.devel.19347).

#9 - 2019-12-11 04:40 - Go MAEDA

- Status changed from Resolved to Confirmed

#10 - 2019-12-11 08:43 - Go MAEDA

- File 20277-v2.patch added

- Target version set to 3.4.13

LGTM. Setting the target version to 3.4.13.

The attached is an updated patch that can be applied to the latest trunk.

#11 - 2019-12-12 15:57 - Go MAEDA

- Subject changed from Errors in Redmine log when displaying an issue with attachments to "Couldn't find template for digesting" error in the log when

sending a thumbnail or an attachment

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for your contribution.

Files

redmine#20277.patch 1.37 KB 2016-12-05 Olivier Houdas

20277-v2.patch 1.04 KB 2019-12-11 Go MAEDA
